<?php
//ini_set("error_reporting",E_ALL);
require('../fpdf.php');

class PDF extends FPDF
{
var $B;
var $I;
var $U;
var $HREF;


function WriteHTML($html)
{
        //HTML parser
        $html=str_replace("\n",' ',$html);
        $a=preg_split('/<(.*)>/U',$html,-1,PREG_SPLIT_DELIM_CAPTURE);
        foreach($a as $i=>$e)
        {
                if($i%2==0)
                {
                        //Text
                        if($this->HREF)
                                $this->PutLink($this->HREF,$e);
                        else
                                $this->Write(5,$e);
//                              $this->Cell(180,5,$e,1,2,'J');
                }
                else
                {
                        //Tag
                        if($e{0}=='/')
                                $this->CloseTag(strtoupper(substr($e,1)));
                        else
                        {
                                //Extract attributes
                                $a2=explode(' ',$e);
                                $tag=strtoupper(array_shift($a2));
                                $attr=array();
                                foreach($a2 as $v)
                                        if(ereg('^([^=]*)=["\']?([^"\']*)["\']?$',$v,$a3))
                                                $attr[strtoupper($a3[1])]=$a3[2];
                                $this->OpenTag($tag,$attr);
                        }
                }
        }
}

function OpenTag($tag,$attr)
{
        //Opening tag
        if($tag=='B' or $tag=='I' or $tag=='U')
                $this->SetStyle($tag,true);
        if($tag=='A')
                $this->HREF=$attr['HREF'];
        if($tag=='BR')
                $this->Ln(5);
}

function CloseTag($tag)
{
        //Closing tag
        if($tag=='B' or $tag=='I' or $tag=='U')
                $this->SetStyle($tag,false);
        if($tag=='A')
                $this->HREF='';
}

function SetStyle($tag,$enable)
{
        //Modify style and select corresponding font
        $this->$tag+=($enable ? 1 : -1);
        $style='';
        foreach(array('B','I','U') as $s)
                if($this->$s>0)
                        $style.=$s;
        $this->SetFont('',$style);
}

function PutLink($URL,$txt)
{
        //Put a hyperlink
        $this->SetTextColor(0,0,255);
        $this->SetStyle('U',true);
        $this->Write(5,$txt,$URL);
        $this->SetStyle('U',false);
        $this->SetTextColor(0);
}
//Page header
function Header2($texto)
{
        //Logo
        $this->Image('../logo_colegio.png',10,8,20);
        $this->Image('../logo_colegio2.png',180,8,18);
        //Arial bold 15
        $this->SetFont('Arial','B',15);
        //Move to the right
        $this->Cell(80);
        //Title
        $this->Cell(30,10,$texto,0,0,'C');
        //Line break
        $this->Ln(20);
}

//Page footer
function Footer2()
{
        //Position at 1.5 cm from bottom
        $this->SetY(-15);
        //Arial italic 8
        $this->SetFont('Arial','I',8);
        //Page number
//        $this->Cell(0,10,'Pagina '.$this->PageNo().'/{nb}',0,0,'C');
}
}

include("../fnc.php");

$pdf=new PDF('P','mm','Letter');
$pdf->SetMargins(30,30,30);

$pdf->SetFont('Arial','',10);

$q=mysql_query("select * from alumnos where grado_estudio = '$idgrado' and year_estudio = '$df_year_actual' order by seccion, apellido, nombre");
$fechacorte=fechabd($fechacorte);
while($ialumno=mysql_fetch_array($q)){
 $agregar_pagina=true;
 $sql="select sum(saldo) as tsaldo 
       from cp_cargos 
       where fecha_cargo <= '$fechacorte 23:59:00'
       and carnet='{$ialumno[carnet]}'
       having tsaldo";
 
 $qsaldo=mysql_query($sql);
 
 $msg="";
 if(mysql_num_rows($qsaldo)==0){
   $msg="SOLVENTE";
 }else{
   $isaldo=mysql_fetch_array($qsaldo);
   if($isaldo[tsaldo]>0){
     $msg="PROVISIONAL";
   }else{
     $msg="SOLVENTE";
   }
 }
 
 
 if($msg=="SOLVENTE"){
    continue;
 }
 
 
  if($agregar_pagina==true){
  $pdf->AddPage();
  $pdf->Image('../logo_colegio.png',15,12,20);
  //$pdf->Image('../slogan_colegio.png',77,15,60);
  //$pdf->Image('../logo_colegio_coac2.png',180,12,18);
  $agregar_pagina=false;
  }
  
  $dia=date("d");
  $mes=mes_letras(date("m"));
  $year=date("Y");
  
  $pdf->Ln(5);
  $pdf->cell(0,5,"Guatemala, $dia de $mes de $year",0,1,"R");
  $pdf->Ln(10);
  $pdf->cell(0,5,"Señor(a)",0,1);
  $pdf->cell(0,5,$ialumno[enc_nombre],0,1);
  $pdf->cell(0,5,"Presente",0,1);
  
  $pdf->Ln(2); 
  $pdf->cell(0,5,"Estimado Señor(a):");
  $pdf->Ln(7);
  
  if($parrafo1){
  $tmpparrafo1=str_replace("{nombre}",$ialumno[nombre],$parrafo1);
  $tmpparrafo1=str_replace("{apellido}",$ialumno[apellido],$tmpparrafo1);
  $tmpparrafo1=str_replace("{carnet}",$ialumno[carnet],$tmpparrafo1);
  $tmpparrafo1=str_replace("{nombre_padre}",$ialumno[padre_nombre],$tmpparrafo1);
  $tmpparrafo1=str_replace("{nombre_madre}",$ialumno[madre_nombre],$tmpparrafo1);
  $tmpparrafo1=str_replace("{nombre_encargado}",$ialumno[enc_nombre],$tmpparrafo1);
  //$parrafo1="Les saludamos atentamente deseándoles éxitos en sus labores diarias y a la vez les informo que adjunto a la presente le enviamos el estado de cuenta de {$ialumno[nombre]} {$ialumno[apellido]}, para que solventen su situación económica antes del inicio de exámenes, se estarán suspendiendo el  servicio a partir del viernes 9 de marzo a todos los que se encuentren en estado de insolvente de cualquiera de los servicios.";
  $pdf->multicell(0,4,$tmpparrafo1,0,"J");
  $pdf->Ln(3);
  }
  
  if($parrafo2){
  $tmpparrafo2=str_replace("{nombre}",$ialumno[nombre],$parrafo2);
  $tmpparrafo2=str_replace("{apellido}",$ialumno[apellido],$tmpparrafo2);
  $tmpparrafo2=str_replace("{carnet}",$ialumno[carnet],$tmpparrafo2);
  $tmpparrafo2=str_replace("{nombre_padre}",$ialumno[padre_nombre],$tmpparrafo2);
  $tmpparrafo2=str_replace("{nombre_madre}",$ialumno[madre_nombre],$tmpparrafo2);
  $tmpparrafo2=str_replace("{nombre_encargado}",$ialumno[enc_nombre],$tmpparrafo2);
  //$parrafo1="El lunes 12 de marzo el área de caja permanecerá cerrada, por auditoria interna.";
  $pdf->multicell(0,4,$tmpparrafo2,0,"J");
  $pdf->Ln(3);
  }
  if($parrafo3){
  $tmpparrafo3=str_replace("{nombre}",$ialumno[nombre],$parrafo3);
  $tmpparrafo3=str_replace("{apellido}",$ialumno[apellido],$tmpparrafo3);
  $tmpparrafo3=str_replace("{carnet}",$ialumno[carnet],$tmpparrafo3);
  $tmpparrafo3=str_replace("{nombre_padre}",$ialumno[padre_nombre],$tmpparrafo3);
  $tmpparrafo3=str_replace("{nombre_madre}",$ialumno[madre_nombre],$tmpparrafo3);
  $tmpparrafo3=str_replace("{nombre_encargado}",$ialumno[enc_nombre],$tmpparrafo3);
  //$parrafo2="Si tuviera alguna duda o consulta, por favor traer sus recibos o boletas ya canceladas,  que con gusto les atenderé en un horario  de lunes a viernes de 7:00 a 9:30.";
  $pdf->multicell(0,4,$parrafo3,0,"J");
  $pdf->Ln(3);
  }
  if($parrafo4){
  $tmpparrafo4=str_replace("{nombre}",$ialumno[nombre],$parrafo4);
  $tmpparrafo4=str_replace("{apellido}",$ialumno[apellido],$tmpparrafo4);
  $tmpparrafo4=str_replace("{carnet}",$ialumno[carnet],$tmpparrafo4);
  $tmpparrafo4=str_replace("{nombre_padre}",$ialumno[padre_nombre],$tmpparrafo4);
  $tmpparrafo4=str_replace("{nombre_madre}",$ialumno[madre_nombre],$tmpparrafo4);
  $tmpparrafo4=str_replace("{nombre_encargado}",$ialumno[enc_nombre],$tmpparrafo4);
  //$parrafo3="Agradezco desde ya su valiosa colaboración y pronta atención a la presente para evitar la suspensión de los servicios. TODOS LOS ALUMNOS TIENEN DERECHO A EXAMEN, pero deberán tramitar una solvencia provisional a los casos que apliquen; esto no quiere decir que el alumno esta exonerado del pago, solamente aplazado según convenio a que aplique, después de las fechas de examen se aplicará la suspensión a quien corresponda.";
  $pdf->multicell(0,4,$tmpparrafo4,0,"J");
  $pdf->Ln(3);
   }
  //
$borde=1;

$pdf->cell(155,5,"ALUMNO: ".$ialumno[carnet]." ".$ialumno[apellido].", ".$ialumno[nombre],0,1);

$pdf->SetStyle("B",true);
$pdf->Cell(30,5,"Fecha de pago",$borde,0);
$pdf->Cell(100,5,"Descripción del cargo",$borde,0);
$pdf->Cell(25,5,"Saldo",$borde,1,"C");
$pdf->SetStyle("B",false);
$borde=0;


$qdet=mysql_query("select * from cp_cargos where carnet='{$ialumno[carnet]}' and fecha_cargo <='$fechacorte 23:59:59' and saldo > 0 order by fecha_cargo");

$total=0.00;
while($idet=mysql_fetch_array($qdet)){
 $total+=$idet[saldo];
 $pdf->Cell(30,4,fecha($idet[fecha_cargo]),$borde,0);
 $pdf->Cell(100,4,$idet[descripcion],$borde,0);
 $pdf->Cell(25,4,moneda($idet[saldo],"Q"),$borde,1,"R");
}
 $pdf->Cell(155,0.01,"",1,1);
 $pdf->SetStyle("B",true);
 $pdf->Cell(30,5,"TOTAL",$borde,0);
 $pdf->Cell(100,5,"",$borde,0);
 $pdf->Cell(25,5,moneda($total,"Q"),$borde,1,"R");
 $pdf->SetStyle("B",false);
 $pdf->Cell(155,0.01,"",1,1);
 $pdf->Cell(155,0.2,"",1,1);
  $pdf->Ln(10);
  $pdf->Cell(0,5,"Cordialmente,",0,0,"C");
  
  $pdf->Ln(15);
  $pdf->Cell(0,5,"_____________________________",0,0,"L");
  $pdf->Cell(0,5,"_____________________________",0,1,"R"); 
  $pdf->Cell(0,5,"Depto. Contabilidad / Caja",0,0,"L");
  $pdf->Cell(0,5,"Dirección Operativa",0,1,"R");
  
}

$pdf->Output();
exit();
?>
